/* Style for map container */
#map_container {
    position: relative;
}
#map {
    height: 560px;
    width: 100%;
    margin-top: 0;
    transition: visibility 0.3s ease-in-out;
}
#csp_info {
    display: none;
    text-align: center;
    padding: 20px;
}
#csp_info a {
    text-decoration: none;
    color: #60cdf6 !important
}
#csp_info a:hover {
    text-decoration: underline;
}
.card {
    padding: 0px;
    display: flex;
    flex-direction: column;
    height: 100%;
}
#locations {
    position: absolute;
    top: 0px;
    left: 5px;
    z-index: 1000;
    height: 40px;
}
#locationSelect {
    border: 1px solid #000;
    font-size: 1.3rem;
}
/* Style for dropdown */
select {
    padding: 8px;
    font-size: 16px;
    margin-top: 10px;
    background-color: #fff;
    color: #000;
}
/* Style for legend */
#legend {
    position: absolute;
    right: 0;
    top: 0;
    font-family: "URWDINCond-Bold", sans-serif !important;
    background-color: #fff;
    margin: 15px;
    color: #000;
    border: 8px solid #4a104e;
    border-radius: 6px;
    text-align: left;
    width: 400px;
}
#legend > p {
    display: flex;
    align-items: flex-start;
    font-size: 24px;
}
.card #map_container #legend div p {
    font-size: 18px !important;
    color: #000 !important;
    display: inline-block; !important;
}
#legend img {
    margin-right: 8px;
    margin-top: 3px;
    float: left;
}
.pale-purple {
    color: #844892;
    font-size: 30px !important;
}
.pale-orange {
    color: #FFB660;
}
/* Spinner styles */
.spinner {
    border: 4px solid #f3f3f3;
    border-top: 4px solid #3498db;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    animation: spin 2s linear infinite;
}
@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}
@media (max-width: 767px) {
    #legend {
        position: relative;
        width: 100%;
        margin: 0 !important;
        text-align: center;
    }
    #locations {
        position: absolute;
        top: 0px;
        left: 50%;
        transform: translateX(-50%);
        z-index: 1000;
        height: 40px;
    }
    #locationSelect {
        font-size: 1.3rem;
    }
}